{%  set data = O.dataIndex %}
{%  set couleur = { '' : 'rgb(250,250,250)', 'Cours d\'eau de référence' : 'rgb(0,192,243)', 'Cours d\'eau naturel' : 'rgb(191,215,48)', 'Cours d\'eau semi-artificiel' : ' rgb(244,201,0)' , 'Cours d\'eau artificiel' : 'rgb(247,148,51)', 'Cours d\'eau très artificiel' : '#EE0000', 'Cours d\'eau enterré ou plan d\'eau' : 'rgb(150,150,150)' } %}
{%  set P = tabProcesses['t2bv-troncon-detailsequence-calculations'] %}


<div class="print-page">

    <table class="table table-condensed">
        <tbody>
            <tr>
                <td>

                    <h2>Tronçon tête de bassin  | Sysma <small>{{ organisation }}</small>   </h2>
                </td>
            </tr>      


            <tr>
                <td>
                    <table class="table table-noborder">
                        <tr>

                            <td>

                                <h1>{{ O.nom }} <small>[{{ O.id }}]</small></h1>
                                <p><small>Dernière modification de l'objet le {{ O.modified_at|date('d/m/Y') }}</small></p>


                            </td>
                            <td>      

                                <p>
                                    Linéaire du tronçon : {{ P.res.tr_lg_ppal|round(0)    }} m<br>
                                    dont linéaire enterré : {{ P.res.lg_enterre|round(0)  }} m ({{  (P.res.lg_enterre*100/P.res.tr_lg_ppal)|round(0) }}%)<br>
                                    dont linéaire en plan d'eau : {{ P.res.lg_pleau|round(0)    }} m ({{  (P.res.lg_pleau*100/P.res.tr_lg_ppal)|round(0) }}%)<br>
                                    dont réseau diffus :  {{ P.res.lg_diffus|round(0)    }} m ({{  (P.res.lg_diffus*100/P.res.tr_lg_ppal)|round(0) }}%)<br>
                                </p>
                            </td>

                            <td> 
                                <p>
                                    Surface du bassin versant : {{  O.dataIndex.surface_bv.value|round(2)|default('non déterminé') }} km²<br>
                                    Altitude amont : {{  O.dataIndex.alt_amont.value|round(2)|default('non déterminé') }} m<br>
                                    Altitude aval : {{  O.dataIndex.alt_aval.value|round(2)|default('non déterminé') }} m</p>
                            </td>
                            <td>
                                <p>Communes concernées : {%  for C in tabC %} {{  C.sysma_object }} {%  endfor %}<br>
                                    Masses d'eau : {%  for ME in tabME %} {{  ME.sysma_object }} {%  endfor %}</p>
                            </td>
                            <td style="width:150px;">&nbsp;</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>


                    <table class="table table-noborder">
                        <tr>
                            <td style="width:40%"> <div id="map{{O.id}}" style="height:300px;width:100%"></div> </td>
                            <td style="width:40%"> <div id="map2{{O.id}}" style="height:300px;width:100%"></div> </td>
                            {%  if O.tabOP|length >0 %}      
                                <td  style="width:20%"> 
                                    <img src='{{ O.tabOP[0].Photo.thumbnail|raw }}' style="max-height:350px" />       
                                </td>
                            {%  endif %}

                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table class="table table-noborder">
                        <tr>
                            <td style="width:20%"> <div id="chart_artif"></div></td>
                            <td style="width:20%"> <div id="chart_ods5"></div></td>
                            <td style="width:20%"> <div id="chart_ods10"></div></td>
                            <td style="width:20%"> <div id="chart_mb"></div></td>
                            <td style="width:20%"> <div id="chart_eb"></div></td>
                        </tr>
                    </table>

                </td>
            </tr>
            <tr>
                <td>
                    <table class="table table-noborder">   
                        <tr>
                            <td style='width:60%'>
                                <table class="table table-condensed">
                                    <tr>
                                        <th>Séquence</th>
                                        <th>Classe artificialisation</th>
                                        <th>Linéaire</th><th>Largeur de base (m)</th>
                                        <th>Profondeur (m)<th>Débit vu (m<sup>3</sup>/s)</th>
                                        <th>Pot. apport solide</th>
                                        <th>Erodabilité des berges</th>
                                        <th>Emrpise disponible</th>
                                        <th>Puissance (W/m²)</th>
                                    </tr>

                                    {%  for S in P.res.tabS %}
                                        <tr>
                                            <td>{{  S.dataIndex['id_seq'].value }}</td>
                                            <td style='background-color: {{ P.res.colorIA[S.dataIndex['iartif_cla'].value ]}} !important'>{{  S.dataIndex['iartif_cla'].value|replace({' ':'&nbsp;'})|raw }}</td>
                                            <td>{{  S.infosGeom.perimetre|round(0) }}</td>
                                            <td>{{  S.dataIndex['larg_base'].value|round(1) }}</td>
                                            <td>{{  S.dataIndex['haut_tot'].value|round(1) }}</td>
                                            <td>{{  S.dataIndex['debitplbor'].value|round(1) }}</td>
                                            <td>{{  S.dataIndex['pot_ap_sol'].value }}</td>   
                                            <td>{{  S.dataIndex['berg_eroda'].value }}</td>   
                                            <td>{{  S.dataIndex['empr_dispo'].value|replace({' ':'&nbsp;'})|raw }}</td>   
                                            <td>{{  S.dataIndex['puis_spe'].value|round(1) }}</td>   
                                        </tr>

                                    {%  endfor %}
                                </table>
                            </td>

                            <td style='width:15%'>
                                <table class='table table-condensed'>
                                    <tr><td><h3>Données du tronçon</h3></td></tr>
                                    <tr><td>Rugosité : {{ O.dataIndex['rugos_note'].value|round(1)  }}</td></tr>
                                    <tr><td> Pente : {{  (O.dataIndex.pente.value)|round(3)|default('non déterminé') }} m/m</td></tr>
                                    <tr><td><h3>Données théoriques</h3></td></tr>
                                    <tr><td>Largeur plein bord théorique : {{ O.dataIndex['lpb_theo'].value|round(1)  }} m</td></tr>
                                    <tr><td>Profondeur théorique : {{ O.dataIndex['prof_theo'].value|round(1)  }} m</td></tr>
                                    <tr><td>Débit de crue biennale théorique : {{ O.dataIndex['q2_theo'].value|round(1)  }} (m<sup>3</sup>/s)</td></tr>
                                    <tr><td>Puissance théorique : {{ O.dataIndex['puis_theo'].value|round(1)  }} W/m²</td></tr>
                                    <tr><td><h3>Données extrapolées</h3></td></tr>
                                    <tr><td>Débit extrapolé : {{ O.dataIndex['q2_extrapo'].value|round(1)  }} (m<sup>3</sup>/s)</td></tr>
                                    <tr><td>Puissance extrapolée : {{ O.dataIndex['puis_extra'].value|round(1)  }} W/m²</td></tr>

                                </table>
                            </td>
                            <td style='width:20%'>
                                <table class='table table-condensed'>
                                    <tr><td><h2>Indice de résilience</h2></td></tr>      
                                    <tr><td><div id="chart_ir"></div></td></tr>      
                                    <tr><td><h3>Analyse de l'indice de résilience</h3></td></tr>      
                                    <tr><td>Puissance spécifique : {{ O.dataIndex['puis_spe'].value  }}</td></tr>      
                                    <tr><td>Erodabilité des berges : {{ O.dataIndex['eroda_berg'].value  }}</td></tr>      
                                    <tr><td>Potentiel d'apport solide : {{ O.dataIndex['pot_ap_sol'].value  }}</td></tr>  
                                    <tr><td>Emprise disponible : {{ O.dataIndex['empr_dispo'].value  }}</td></tr> 

                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
    </table>



</div>

{%  block js %}
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">

        google.charts.load('current', {'packages': ['corechart', 'bar']});
        google.charts.setOnLoadCallback(drawChart);

        function drawChart()
        {
            var data = google.visualization.arrayToDataTable([        {% set titles = "'" %}
        {% set values = null %}
        {% set colors = "'" %}

        {% for key,ia in P.res.resIAPerc %}
            {% if key != '' %}
                {% set titles = titles~key|replace({"'":" "})~'\',\'' %}
                {% set values = values~ia|round(1)~',' %}
                {% set colors = colors~P.res.colorIA[key]~'\',\'' %}
            {% endif %}
        {% endfor %}

                    ['%',                                                  {{ titles|slice(0,-2)|raw }} ],
                    ['%',                                                  {{ values|slice(0,-1)|raw }} ]
                ]);

                var options = {
                    max: 100,
                    isStacked: true,
                    chartArea: {
                        width: "50%", height: "90%", left: 28
                    },
                    title: 'Artificialisation du lit mineur',
                    bars: 'vertical',
                    vAxis: {format: 'decimal'},
                    height: 300,
                    colors: [{{ colors|slice(0,-2)|raw }}]

                };

                var chart = new google.visualization.ColumnChart(document.getElementById('chart_artif'));
                chart.draw(data, options);



                var data2 = google.visualization.arrayToDataTable([        {% set titles = "'" %}
        {% set values = null %}
        {% set colors = "'" %}

        {% for key,ia in P.res.resIPPerc %}
            {% if key != '' %}
                {% set titles = titles~key|replace({"'":" "})~'\',\'' %}
                {% set values = values~ia|round(1)~',' %}
                {% set colors = colors~P.res.colorIP[key]~'\',\'' %}
            {% endif %}
        {% endfor %}

                    ['%',                                                  {{ titles|slice(0,-2)|raw }} ],
                    ['%',                                                  {{ values|slice(0,-1)|raw }} ]
                ]);

                var options2 = {
                    max: 100,
                    isStacked: true,
                    chartArea: {
                        width: "50%", height: "90%", left: 28
                    },
                    title: 'Occupation du sol 5m',
                    bars: 'vertical',
                    vAxis: {format: 'decimal'},
                    height: 300,
                    colors: [{{ colors|slice(0,-2)|raw }}]

                };

                var chart_ods5 = new google.visualization.ColumnChart(document.getElementById('chart_ods5'));
                chart_ods5.draw(data2, options2);



                var data3 = google.visualization.arrayToDataTable([        {% set titles = "'" %}
        {% set values = null %}
        {% set colors = "'" %}

        {% for key,ia in P.res.resIPPerc10m %}
            {% if key != '' %}
                {% set titles = titles~key|replace({"'":" "})~'\',\'' %}
                {% set values = values~ia|round(1)~',' %}
                {% set colors = colors~P.res.colorIP[key]~'\',\'' %}
            {% endif %}
        {% endfor %}

                    ['%',                                                  {{ titles|slice(0,-2)|raw }} ],
                    ['%',                                                  {{ values|slice(0,-1)|raw }} ]
                ]);

                var options3 = {
                    max: 100,
                    isStacked: true,
                    chartArea: {
                        width: "50%", height: "90%", left: 28
                    },
                    title: 'Occupation du sol 10m',
                    bars: 'vertical',
                    vAxis: {format: 'decimal'},
                    height: 300,
                    colors: [{{ colors|slice(0,-2)|raw }}]

                };

                var chart_ods10 = new google.visualization.ColumnChart(document.getElementById('chart_ods10'));
                chart_ods10.draw(data3, options3);





                var data4 = google.visualization.arrayToDataTable([        {% set titles = "'" %}
        {% set values = null %}
        {% set colors = "'" %}

        {% for key,ia in P.res.resMBPerc %}
            {% if key != '' %}
                {% set titles = titles~key|replace({"'":" "})~'\',\'' %}
                {% set values = values~ia|round(1)~',' %}
                {% set colors = colors~P.res.colorMB[key]~'\',\'' %}
            {% endif %}
        {% endfor %}

                    ['%',                                                  {{ titles|slice(0,-2)|raw }} ],
                    ['%',                                                  {{ values|slice(0,-1)|raw }} ]
                ]);

                var options4 = {
                    max: 100,
                    isStacked: true,
                    chartArea: {
                        width: "50%", height: "90%", left: 28
                    },
                    title: 'Matériaux des berges',
                    bars: 'vertical',
                    vAxis: {format: 'decimal'},
                    height: 300,
                    colors: [{{ colors|slice(0,-2)|raw }}]

                };

                var chart_mb = new google.visualization.ColumnChart(document.getElementById('chart_mb'));
                chart_mb.draw(data4, options4);




                var data5 = google.visualization.arrayToDataTable([        {% set titles = "'" %}
        {% set values = null %}
        {% set colors = "'" %}

        {% for key,ia in P.res.resEBPerc %}
            {% if key != '' %}
                {% set titles = titles~key|replace({"'":" "})~'\',\'' %}
                {% set values = values~ia|round(1)~',' %}
                {% set colors = colors~P.res.colorEB[key]~'\',\'' %}
            {% endif %}
        {% endfor %}

                    ['%',                                                  {{ titles|slice(0,-2)|raw }} ],
                    ['%',                                                  {{ values|slice(0,-1)|raw }} ]
                ]);

                var options5 = {
                    max: 100,
                    isStacked: true,
                    chartArea: {
                        width: "50%", height: "90%", left: 28
                    },
                    title: 'Erodabilité des berges',
                    bars: 'vertical',
                    vAxis: {format: 'decimal'},
                    height: 300,
                    colors: [{{ colors|slice(0,-2)|raw }}]

                };

                var chart_eb = new google.visualization.ColumnChart(document.getElementById('chart_eb'));
                chart_eb.draw(data5, options5);






                var data6 = google.visualization.arrayToDataTable([

                    ['', 'Puissance spécifique', 'Emprise disponible', 'Erodabilité des berges', 'Potentiel d\'apport solide'],
                    ['', {{P.res['puissp_ind'] }},{{ P.res['emprd_ind'] }} ,{{ P.res['erodb_ind'] }} ,{{ P.res['potaps_ind'] }} ]
                ]);

                var options6 = {
                    max: 4,
                    isStacked: true,
                    chartArea: {
                        width: "50%", height: "90%", left: 28
                    },
                    title: 'Indice de résilience',
                    bars: 'vertical',
                    vAxis: {format: 'decimal'},
                    height: 300,
                    colors: ['red', 'orange', 'grey', 'green']

                };

                var chart_ir = new google.visualization.ColumnChart(document.getElementById('chart_ir'));
                chart_ir.draw(data6, options6);



            }


    </script>


    {%  if maps|default('on') != 'off' %}

        {# MAP #}
        {%  set tabO = { 0: O } %}
        {%  if O.infosGeom.perimetre > 500 %}
            {%  set zoom = 14  %}
        {%  else %} 
            {%  set zoom = 15  %}
        {%  endif %}
        {%  set baseLayer = 'CarteIGN' %}
        {%  set map = 'map'~O.id %}
        {% include('map/simpleMap.twig') %}
        {# MAP2 #}
        {%  set tabO = { 0: O } %}
        {%  if O.infosGeom.perimetre > 300 %}
            {%  set zoom = 15  %}
        {%  else %} 
            {%  set zoom = 16  %}
        {%  endif %}
        {%  set baseLayer = 'Orthophotos' %}
        {%  set map = 'map2'~O.id %}
        {% include('map/simpleMap.twig') %}

    {%  endif  %}

{%  endblock %}
